Subject: RE: Hierarchical error codes

From: "Larry Osterman (Exchange)" <[email-masked]>
Date: Tue, 6 Apr 1999 15:14:53 -0700

The issue is not what the CHARACTER SET is, but what the LANGUAGE is.  A
character set defines a set of glyphs only, the LANGUAGE defines the
characters to be sent using that character set.

In addition, there is the client LOCALE, which defines what collation order
to use when sorting or searching.  If there is to be any sort of search
functionality in CAP, it MUST contain the ability to specify the locale for
searching/sorting, otherwise it won't fly as an international standard.
There are already too many us-only internet protocols....

Larry Osterman
Sent from larryo-laptop.dns.microsoft.com running NT5 and Outlook 2000
and Exchange Server 5.5.  Please notify the sender of any difficulties

-----Original Message-----
From: Doug Royer [mailto:[email-masked]]
Sent: Sunday, April 04, 1999 2:10 PM
To: [email-masked]
Subject: Re: Heirarchical error codes

> Date: Sun, 04 Apr 1999 14:52:35 +0000
> From: John Stracke <[email-masked]>
> 
> Doug Royer wrote:
> 
> > > Date: Mon, 29 Mar 1999 19:44:43 +0000
> > > From: John Stracke <[email-masked]>
> > >
> > > Frank Dawson wrote:
> > >
> > > > What scenario did you have in mind that necessitated the CUA to also

specify
> > > > it's capabilities?
> > >
> > > "I cannot render non-Latin1 text"?
> >
> > As there were not any Latin1 text messages defined,
> > I am not sure what your need is.
> 
> There's human-composed, user-visible text in the message, which means that
> the CUA needs to consider whether the user is going to be able to read the
> incoming message.  An advanced CS might be capable of storing multiple
> versions of the text, and picking out the one to send to the CUA--but only
> if it can find out what languages the user can read, and what character
> sets the CUA can display.

The iCalendar object default charset is UTF-8. 

I would hope that a CS should be able to charset convert to UTF-8 on
the way in or out of the CS. I would also hope that all CUAs MUST be
able to handle UTF-8.

As for languages, there is no way to store multiple LANG 'DESCRIPTION'
or 'SUMMARY'.

I think the best that can occur is if all CUAs MUST be able to handle
UTF-8, and they must ask for anything other than UTF-8. A user might
not be able to understand the text as sent to the CS, but the CUA MUST
be able to understand the UTF-8 text.

-Doug
-------------------------------------------------------------------
[email-masked]		http://playground.sun.com/~dougr
801 W. El Camino #131		Work:   (650)786-7599
Mountain View, CA 94040		Ham Radio: N6AAW, Aviation: PP-ASEL